# python 2 not supported

Name:		urh
Version:	1.5.7
Release:	1%{?dist}
Summary:	Universal Radio Hacker: investigate wireless protocols like a boss
License:	ASL 2.0
Group:		Applications/Engineering
URL:		https://github.com/jopohl/urh
Source0:	https://github.com/jopohl/urh/archive/v%{version}.tar.gz#/urh-1.5.7.tar.gz
BuildRequires:	python3-setuptools, python3-devel, gcc-c++, python3-numpy, desktop-file-utils
BuildRequires:	hackrf-devel, rtl-sdr-devel, python3-qt5
Requires:	python3-numpy, python3-psutil python3-zmq, python3-qt5

%description
The Universal Radio Hacker is a software for investigating unknown wireless protocols.

%prep
%setup -q

# remove *.pyc
find . -name '*.pyc' | xargs rm -f

# remove binaries
pushd data/decodings
rm -f enocean_switchtelegram homematic test
popd
pushd src/urh/dev/native/lib
rm -rf win
popd

%build
%py3_build

%install
%py3_install

# icon
install -Dpm 0644 data/icons/appicon.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/urh.png

# desktop file
mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install --add-category="Utility" \
  --dir=%{buildroot}%{_datadir}/applications \
  ./urh.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%doc README.md
%{_bindir}/urh
%{_datadir}/icons/hicolor/128x128/apps/urh.png
%{_datadir}/applications/urh.desktop
%{python3_sitearch}/urh
%{python3_sitearch}/urh-%{version}-*.egg-info

%changelog
* Fri Mar 10 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.5.7-1
- Initial release
